org.apache.cassandra.streaming

## Interface StreamManagerMBean

All Superinterfaces:
  javax.management.NotificationBroadcaster, javax.management.NotificationEmitter

All Known Implementing Classes:
  StreamManager

    public interface StreamManagerMBean
    extends javax.management.NotificationEmitter

### Field Summary

Fields
`static java.lang.String` `OBJECT_NAME`

### Method Summary

All Methods Instance Methods Abstract Methods
`java.util.Set<javax.management.openmbean.CompositeData>` `getCurrentStreams()` Returns the current state of all ongoing streams.

### Methods inherited from interface javax.management.NotificationEmitter

`removeNotificationListener`

### Methods inherited from interface javax.management.NotificationBroadcaster

`addNotificationListener, getNotificationInfo, removeNotificationListener`

### Field Detail

#### OBJECT_NAME

    static final java.lang.String OBJECT_NAME

See Also:
  Constant Field Values

### Method Detail

#### getCurrentStreams

    java.util.Set<javax.management.openmbean.CompositeData> getCurrentStreams()

Returns the current state of all ongoing streams.